Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000193KdenliveTranslationpublic2008-10-11 14:462008-11-12 22:28
Reporterrepli2dev 
Assigned To 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000193: Missing localization strings in about dialog.
DescriptionStrings from main.cpp - about dialog

Strings for translator - tab Translation

Effect settings
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000453)
repli2dev (reporter)
2008-10-19 10:41

The list of effect (in effect stack is untranslated), the solution is easy.
File effectstackview.cpp:
-QListWidgetItem* item = new QListWidgetItem(namenode.toElement().text(), ui.effectlist);
+QListWidgetItem* item = new QListWidgetItem(i18n(namenode.toElement().text().toUtf8().data()), ui.effectlist);
(0000656)
madsdyd (administrator)
2008-10-24 19:06

The principle translation of the effect names and parameters in the effect stack is present in svn revision 2549 (and I think it has been that way for a while).

Translating effect names and parameters appears to require, however, that the dir kdenlive/effects in the source distribution, gets populated with xml files describing the effects. This is not the case for e.g. the Dust effect.

The about box still seems largely untranslated.

I am splitting this bug into two: one for the about box, and one for the effect names and parameter names.
(0000657)
madsdyd (administrator)
2008-10-24 19:12

The effect names and parameters localization has been split out in bug 280.
(0000671)
administrator (administrator)
2008-10-25 03:24

The "About" dialog should now be fully translatable, and show translator's info
(0000681)
madsdyd (administrator)
2008-10-25 10:43

Fixed in rev. 2553.

- Issue History
Date Modified Username Field Change
2008-10-11 14:46 repli2dev New Issue
2008-10-11 14:59 repli2dev Note Added: 0000355
2008-10-19 10:41 repli2dev Note Added: 0000453
2008-10-19 10:41 repli2dev Note Deleted: 0000355
2008-10-24 19:06 madsdyd Note Added: 0000656
2008-10-24 19:06 madsdyd Status new => acknowledged
2008-10-24 19:06 madsdyd Category User Interface => Translation
2008-10-24 19:06 madsdyd Build => 2549
2008-10-24 19:06 madsdyd Target Version => 0.7.1
2008-10-24 19:11 madsdyd Issue cloned: 0000280
2008-10-24 19:12 madsdyd Note Added: 0000657
2008-10-24 19:12 madsdyd Summary Missing localization strings => Missing localization strings in about dialog.
2008-10-25 03:24 administrator Note Added: 0000671
2008-10-25 10:43 madsdyd Note Added: 0000681
2008-10-25 10:43 madsdyd Status acknowledged => closed
2008-10-25 10:43 madsdyd Resolution open => fixed
2008-10-25 10:43 madsdyd Fixed in Version => Recent git
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0
2008-11-12 22:28 madsdyd Target Version 0.7.1 => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker